/*
 * Copyright 1990, 1991 by the Massachusetts Institute of Technology and
 * UniSoft Group Limited.
 * 
 * Permission to use, copy, modify, distribute, and sell this software and
 * its documentation for any purpose is hereby granted without fee,
 * provided that the above copyright notice appear in all copies and that
 * both that copyright notice and this permission notice appear in
 * supporting documentation, and that the names of MIT and UniSoft not be
 * used in advertising or publicity pertaining to distribution of the
 * software without specific, written prior permission.  MIT and UniSoft
 * make no representations about the suitability of this software for any
 * purpose.  It is provided "as is" without express or implied warranty.
 *
 * $XConsortium: EWin.mc,v 1.4 92/06/11 18:07:21 rws Exp $
 */
>>ASSERTION Bad A
>>### Window
When a window argument does not name a valid xerrlist, then a
.S BadWindow
error occurs.
>>STRATEGY
Create a bad window by creating and destroying a window.
Call test function using bad window as the window argument.
Verify that a BadWindow error occurs.
>>CODE BadWindow

	seterrdef();

	A_WINDOW = badwin(A_DISPLAY);

	XCALL;

	if (geterr() == BadWindow)
		PASS;
	else
		FAIL;

#ifdef A_WINDOW2
	seterrdef();
	A_WINDOW2 = badwin(A_DISPLAY);

	XCALL;

	if (geterr() == BadWindow)
		PASS;
	else
		FAIL;
#endif
