/*
 * Copyright 1990, 1991 by the Massachusetts Institute of Technology and
 * UniSoft Group Limited.
 * 
 * Permission to use, copy, modify, distribute, and sell this software and
 * its documentation for any purpose is hereby granted without fee,
 * provided that the above copyright notice appear in all copies and that
 * both that copyright notice and this permission notice appear in
 * supporting documentation, and that the names of MIT and UniSoft not be
 * used in advertising or publicity pertaining to distribution of the
 * software without specific, written prior permission.  MIT and UniSoft
 * make no representations about the suitability of this software for any
 * purpose.  It is provided "as is" without express or implied warranty.
 *
 * $XConsortium: dsplywdthm.m,v 1.5 92/06/11 15:59:17 rws Exp $
 */
>>SET   macro
>>TITLE XDisplayWidthMM CH02
int
XDisplayWidthMM(display, screen_number)
Display	*display = Dsp;
int	screen_number = DefaultScreen(Dsp);
>>ASSERTION Good A
A call to xname returns the width in millimeters of the screen
.A screen_number .
>>STRATEGY
Obtain the width of the screen in millimeters using xname.
Verify that the value is that given in parameter XT_WIDTH_MM.
>>CODE
int	wmm;

	wmm = XCALL;
	if(wmm != config.width_mm) {
		report("%s() returns incorrect value for screen width", 
						TestName);
		report("Expected value 0x%lx; Observed value 0x%lx", 
						config.width_mm, wmm);
		FAIL;
	} else
		CHECK;

	CHECKPASS(1);
