/*
*	SCCS:	@(#)common/wrpt/wrpt.h	Rel 4.1.1 (12/23/91)
*
*	UniSoft Ltd., London, England
*
* (C) Copyright 1991 X/Open Company Limited
*
* All rights reserved.  No part of this source code may be reproduced,
* stored in a retrieval system, or transmitted, in any form or by any
* means, electronic, mechanical, photocopying, recording or otherwise,
* except as stated in the end-user licence agreement, without the prior
* permission of the copyright owners.
*
* X/Open and the 'X' symbol are trademarks of X/Open Company Limited in
* the UK and other countries.
*/

/***********************************************************************

NAME:			wrpt.h - wrpt common defines, etc

PROJECT:	VSW (X/OPEN Window Management Validation Suite)

AUTHOR:			David McCardle
DATE CREATED:		Wed Apr 30 14:51:55 BST 1986
MODIFICATIONS:
		Geoff Clare, 7/1/88		Add -v option
		Geoff Clare, 11/1/88		Add -w option
		Geoff Clare, 21/6/91		Add -t option
		Stuart Boutell, 21/11/91	Add -p option

************************************************************************/

#include	<errno.h>
#define BUFSIZE		512
#define	PROG_NAME	"wrpt"
#define MAXCOL		256


private struct opt
   {
   char *P;
   char *H;
   char *d;
   char *n;
   char *v;
   char *l;
   char *r;
   char *f;
   char *p;	/* Enable page total mode in wrpt.page.c */
   int  L;
   int  W;
   int  t;
   };
